<html>
  <head>
     <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
     <title>Lista de Incapacidades</TITLE>
     <style type="text/css" media="all">@import "./estilos.css";</style>
  </head>

 <body class="fondo">
  <?php
   //Definicion de variables de entrada
   $s_usuario    = $_GET['s_usuario'];
   $s_empresa    = $_GET['s_empresa'];
   $s_cargo      = $_GET['s_cargo'];
   $s_nitEmpresa = $_GET['s_nitEmpresa'];
   $s_codSede    = $_GET['s_codSede'];
   $s_idUsuario  = $_GET['s_idUsuario'];
   $s_unCode     = $_GET['s_unCode'];
 
   //adecua campos string para ser enviado por la url
    
   $s_usuarioSinESpacios = str_replace(" ","%20",$s_usuario);
   $s_usuaUrlCode = urlencode($s_usuario);
   $s_usuarioUrlDecode = urldecode($s_usuaUrlCode );
   $s_cargoSinESpacios = str_replace(" ","%20",$s_cargo);
   $s_cargoUrlCode = urlencode($s_cargo);
   $s_cargoUrlDecode = urldecode($s_cargoUrlCode );
   
   $s_empresaSinESpacios = str_replace(" ","%20",$s_empresa);
   $s_empresaUrlCode = urlencode($s_empresa);
   $s_empresaUrlDecode = urldecode($s_empresaUrlCode );

   //recibe tipo numero de identificacion
   $s_tipoId      = $_GET['tipoId']; 
   $s_identifica  = $_GET['identifica'];
 ?>
      
 <?php
  
  // conexion a la base de datos
  include("conexionOdo.php");

  // Realiza consulta de usuarios MySQL
  $query = "SELECT count(*) AS numI FROM SIO_INCAPACIDAD WHERE idPaciente=$s_identifica";
  $result = mysql_query($query) or die('Consulta fallida: ' . mysql_error());
  $line = mysql_fetch_array($result, MYSQL_ASSOC);
  //asigna valores a variables de trabajo
  $incapacidades = $line["numI"];
  // Liberar resultados
  mysql_free_result($result);
  
  if ($incapacidades>0)
  {
    $query = "SELECT A.numConsulta, A.numIncapacidad, A.fechaExpedicion, A.medConsulta, ".
           "  CONCAT(B.nomPaciente, ' ',  B.apell1paciente, ' ',  B.apell2Paciente) AS paciente, ".
           "  CONCAT(C.nomUsuario,  ' ',  C.apell1Usuario,  ' ',  C.apell2Usuario) AS usuario, ". 
           "  A.tipoHistoria AS tipo ".
           " FROM SIO_INCAPACIDAD A, SIME_BAS_PACIENTE B, SIME_BAS_N_USUARIOS C".
           " WHERE A.idPaciente = B.idPaciente AND ".
           "       A.medConsulta= C.idUsuario  AND " .
           "       A.idPaciente = $s_identifica  AND " .
           "       A.tipoId = '$s_tipoId' " .
           " ORDER BY A.numConsulta desc";   
                
    //echo $query;         
                
    $result = mysql_query($query) or die('Consulta de lista de consultas fallida: ' . mysql_error());

    //$line = mysql_fetch_array($result, MYSQL_ASSOC);
  
    $cantRegistros=mysql_num_rows($result);
 
    $i=0;
    while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
       
           $s_numConsulta    = $line["numConsulta"];
           $s_numIncapacidad    = $line["numIncapacidad"];
           $s_fechaExpedicion  = $line["fechaExpedicion"];
           $s_medConsulta      = $line["medConsulta"];
           $s_paciente         = $line["paciente"];
           $s_usuario          = $line["usuario"];
           $s_tipo             = $line["tipo"];
           
           $s_paciente = 'Paciente: ' . $s_paciente .'          No. documento: '.$s_identifica;
         
           echo("<table class='camposTabla' align='center' width='300' border='1' cellpading='0'>\n");
             //echo ("<form method='post' action='historiaClinica.php'>\n");
              if ($i==0){// para mostrar titulos 
                 echo ("<tr>\n");
                   echo   ("<td class='titulosTabla' align='center' colspan='4'>INCAPACIDADES GENERADAS</td>\n");
                 echo("</tr>\n");
                 echo("<tr>\n");
                  echo   ("<td class='subtutulosTabla' align='left' colspan='4'>$s_paciente</td>\n");
                 echo("</tr>\n");
                 echo("<tr>\n");
                  //echo("<td align='center'>SELECCIONAR</td>\n");
                  echo("<td width='25%' align='center'>No. Incapacidad</td>\n");
                  //echo("<td width='25%' align='center'>Fecha</td>\n");
                  echo("<td width='50%' align='center'>Tipo de Consulta</td>\n");
                echo("</tr>\n");
              }
              
              //echo("<td width='15%'> <a href=cargosModificar.php>Consultar</a></td>\n");
  
            echo("<td width='50%' align='center'><a href=imprimeIncapacidad.php?nroCta=$s_numConsulta&tipoHis=$s_tipo&tipoId=$s_tipoId&idPaciente=$s_identifica&nIncapacidad=$s_numIncapacidad&medico=$usuario&vieneDE=con  target='central'>$s_numIncapacidad</a></td>\n");
            
            
            //echo("<td width='25%' align='left'>$s_fecLaboratorio</td>\n");
            echo("<td width='50%' align='left'>$s_tipo No. $s_numConsulta</td>\n");
            echo("</tr>\n");
           
       
           $i = $i+1;
    }//while    
           
    if ($i==0)
    {
         echo("<table align= 'center' class='camposTabla' width='100%' border='1' cellpading='0'>\n");
           echo("<tr>\n");
             echo("<td align='center'>El paciente no tiene Incapacidades relacionadas</td>\n");
           echo("</tr>\n");
         echo ("</table>\n") ;    
    }

 
  }//if >0
  
  else
  {
    echo("<table align= 'center' class='camposTabla' width='100%'  border='1' cellpading='0'>\n");
           echo("<tr>\n");
             echo("<td align='center'>El paciente no tiene incapacidades relacionadas</td>\n");
           echo("</tr>\n");
         echo ("</table>\n") ;   
  
  }
  
  ?>
</table>
       